org.keycloak.dom.saml.v2.profiles.sso.ecp

## Class RequestType

- java.lang.Object
- - org.keycloak.dom.saml.v2.profiles.sso.ecp.RequestType

-     public class RequestType
      extends Object

  Java class for RequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Issuer"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}IDPList" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}mustUnderstand use="required""/>
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}actor use="required""/>
             <attribute name="ProviderName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="IsPassive" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `actor`
    `protected IDPListType` | `idpList`
    `protected Boolean` | `isPassive`
    `protected NameIDType` | `issuer`
    `protected Boolean` | `mustUnderstand`
    `protected String` | `providerName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActor()` Gets the value of the actor property.
    `IDPListType` | `getIDPList()` Gets the value of the idpList property.
    `NameIDType` | `getIssuer()` Gets the value of the issuer property.
    `String` | `getProviderName()` Gets the value of the providerName property.
    `Boolean` | `isIsPassive()` Gets the value of the isPassive property.
    `Boolean` | `isMustUnderstand()` Gets the value of the mustUnderstand property.
    `void` | `setActor(String value)` Sets the value of the actor property.
    `void` | `setIDPList(IDPListType value)` Sets the value of the idpList property.
    `void` | `setIsPassive(Boolean value)` Sets the value of the isPassive property.
    `void` | `setIssuer(NameIDType value)` Sets the value of the issuer property.
    `void` | `setMustUnderstand(Boolean value)` Sets the value of the mustUnderstand property.
    `void` | `setProviderName(String value)` Sets the value of the providerName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### issuer

          protected NameIDType issuer

    - #### idpList

          protected IDPListType idpList

    - #### mustUnderstand

          protected Boolean mustUnderstand

    - #### actor

          protected String actor

    - #### providerName

          protected String providerName

    - #### isPassive

          protected Boolean isPassive

  - ### Constructor Detail

    - #### RequestType

          public RequestType()

  - ### Method Detail

    - #### getIssuer

          public NameIDType getIssuer()

      Gets the value of the issuer property.
      Returns:
        possible object is `NameIDType`

    - #### setIssuer

          public void setIssuer(NameIDType value)

      Sets the value of the issuer property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getIDPList

          public IDPListType getIDPList()

      Gets the value of the idpList property.
      Returns:
        possible object is `IDPListType`

    - #### setIDPList

          public void setIDPList(IDPListType value)

      Sets the value of the idpList property.
      Parameters:
        `value` - allowed object is `IDPListType`

    - #### isMustUnderstand

          public Boolean isMustUnderstand()

      Gets the value of the mustUnderstand property.
      Returns:
        possible object is `String`

    - #### setMustUnderstand

          public void setMustUnderstand(Boolean value)

      Sets the value of the mustUnderstand property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActor

          public String getActor()

      Gets the value of the actor property.
      Returns:
        possible object is `String`

    - #### setActor

          public void setActor(String value)

      Sets the value of the actor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProviderName

          public String getProviderName()

      Gets the value of the providerName property.
      Returns:
        possible object is `String`

    - #### setProviderName

          public void setProviderName(String value)

      Sets the value of the providerName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isIsPassive

          public Boolean isIsPassive()

      Gets the value of the isPassive property.
      Returns:
        possible object is `Boolean`

    - #### setIsPassive

          public void setIsPassive(Boolean value)

      Sets the value of the isPassive property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2021 JBoss by Red Hat. All rights reserved.